<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Edit Customer Form Field - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
<script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/customField.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#type").val("<?php echo $field['type'] ?>");
            });
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                <li><a href="./index.php?c=customerCustomField"><?php echo($lang['custom_form_field']); ?></a>/<?php echo($lang['edit_ticket_form_field']); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">                
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
<p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>

                <div>
                    <?php echo($menu); ?>
                </div>
            </div>
            <div id="rightside">
                <div id="content">
                    <form action="index.php?c=customerCustomField&m=update" method="post" name="updateCustomField" id="updateCustomField">
                        <label>
                            <?php echo($lang['name']); ?>:
                        </label>

                        <p>
                            <input name="data[name]" type="text" class="form-input" id="name" value="<?php echo stripcslashes($field['name']) ?>" size="80" maxlength="50" />
                        </p>
                        <label>
                            <?php echo($lang['field_type']); ?>:
                        </label>
                        <p>
                            <select name="data[type]" id="type">
                                <option value="text" selected="selected"><?php echo($lang['text_box']); ?></option>
                                <option value="checkbox"><?php echo($lang['check_box']); ?></option>
                                <option value="radio"><?php echo($lang['radio_button']); ?></option>
                                <option value="select"><?php echo($lang['list_box']); ?></option>
                                <option value="textarea"><?php echo($lang['text_area']); ?></option>
                                <option value="password"><?php echo($lang['password_box']); ?></option>
                                <option value="hidden"><?php echo($lang['hidden_field']); ?></option>
                            </select>
                        </p>
                        <label>
                            <?php echo($lang['width']); ?>:
                        </label>
                        <p>
                            <input name="data[width]" type="text" class="form-input" id="width" value="<?php echo stripcslashes($field['width']) ?>" size="10" maxlength="5" onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" />
                            px</p>
                        <label>
                            <?php echo($lang['height']); ?>:
                        </label>
                        <p>
                            <input name="data[height]" type="text" class="form-input" id="height" value="<?php echo $field['height'] ?>" size="10" maxlength="5"  onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" /> (<?php echo($lang['only_available_for_textarea']); ?>)
                        </p>
                        <label>
                            <?php echo($lang['enter_default_values']); ?>:
                        </label>
                        <p>
                            <textarea name="data[preset]" cols="60" rows="8" class="half" id="preset"><?php echo stripcslashes($field['preset']) ?></textarea>
                        </p>
                        <p>&nbsp;</p>

                        <div class="bottom-options">
                            <input name="submit_btn" type="submit" class="btn big btn-blue" id="submit_btn" value="<?php echo($lang['update_field']); ?>" />
                            <input type="hidden" name="id" value="<?php echo $field['id'] ?>" />
                        </div>
                        <p>&nbsp;</p>
                    </form>
                    <div class="clear"></div>
                </div>
                <div id="footer">
                    <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
    			<div id="onlinetimer"></div>
        </body>
</html>
