<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang['custom_form_field']); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" href="./media/css/jquery.jmodal.css" type="text/css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/setting.js"></script>
        <script type="text/javascript" src="./media/js/jquery.jmodal.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                <li><?php echo($lang['custom_form_field']); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">                
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>

                <div>
                    <?php echo($menu); ?>
                </div>
            </div>
            <div id="rightside">
                <div id="content">
                    <div id="list_info">
                        <div class="quick_button"><a href="./index.php?c=customerCustomField&m=add" class="btn-link"><span>Add Field</span></a></div>
                        <div class="record_count"><?php echo($lang['result']); ?>: <span id="cur_number"><?php echo($record_count); ?></span></div>
                    </div>
                    <?php if (empty($record_count)) {
                          ?>
                          <div class='notice'><?php echo($lang['no_match_record']); ?></div>
                          <?php
                      } else {
                          ?>
                          <table id="tablehover" width="100%" cellspacing="0" cellpadding="0">
                              <tr>
                                  <th><?php echo($lang['type']); ?></th>
                                  <th><?php echo($lang['name']); ?></th>
                                  <th><?php echo($lang['width']); ?>(px)</th>
                                  <th><?php echo($lang['height']); ?>(px)</th>
                                  <th><?php echo($lang['preview']); ?></th>
                                  <th colspan="3"><?php echo($lang['actions']); ?></th>
                              </tr>
                              <tr>
                                  <td colspan="10"></td>
                              </tr>
                              <?php
                              $i = 1;

                              foreach ($custom_field_list as $val) {
                                  ?>
                                  <tr>
                                      <td><?php echo(strtoupper($val['type'])); ?></td>
                                      <td><?php echo stripcslashes($val['name']) ?></td>
                                      <td><?php echo($val['width'] ? $val['width'] : "NO SET"); ?></td>
                                      <td><?php echo($val['height'] ? $val['height'] : "NO SET"); ?></td>
                                      <td>
                                          <!-- Preview -->
                                          <?php
                                          if (($val['type'] == 'select') && $val["content_list"]) {
                                              ?>
                                              <select name="<?php echo "custom_" . $val['id'] ?>">
                                                  <?php
                                                  foreach ($val["content_list"] as $content) {
                                                      ?>
                                                      <option value="<?php echo($content); ?>"><?php echo($content); ?></option>
                                                  <?php } ?>
                                              </select>
                                              <?php
                                          } elseif (($val['type'] == 'radio') && $val["content_list"]) {
                                              ?>
                                              <?php foreach ($val["content_list"] as $content) {
                                                  ?>
                                                  <input type="radio" name="<?php echo "custom_" . $val['id'] ?>" value="<?php echo($content); ?>" />
                                                  <?php echo($content); ?>
                                                  <?php
                                              }
                                          } elseif (($val['type'] == 'checkbox') && $val["content_list"]) {
                                              ?>
                                              <?php
                                              foreach ($val["content_list"] as $content) {
                                                  ?>
                                                  <input type="checkbox" name="<?php echo "custom_" . $val['id'] ?>[]" value="<?php echo($content); ?>" />
                                                  <?php echo($content); ?>

                                                  <?php
                                              }
                                          } elseif ($val['type'] == 'textarea') {
                                              ?>
                                              <textarea rows="0" cols="0" name="<?php echo "custom_" . $val['id'] ?>" style="width:<?php echo $val['width'] ?>px;height:<?php echo $val['height'] ?>px"><?php echo($val["content_list"]) ?> </textarea>
                                              <?php
                                          } else if (in_array($val['type'], array("text", "password", "hidden"))) {
                                              ?>
                                              <input name="<?php echo "custom_" . $val['id'] ?>" type="<?php echo $val['type'] ?>" class="ipt" style="width:<?php echo $val['width'] ?>px" value="<?php echo($val["content_list"]); ?>" />
                                          <?php } ?>
                                          <!-- Preview End -->
                                      </td>
                                      <td width="16"><?php if ($i > 1) { ?>
                                              <img width="16" height="16" border="0" src="./media/images/move_up.png" class="btn-img" alt="Move up" title="Move up" onclick="fieldSort(<?php echo $val['id'] ?>,'up')" />
                                          <?php } ?></td>
                                      <td width="16"><?php if ($i < $record_count) { ?>
                                              <img src="./media/images/move_down.png" alt="Move down" width="16" height="16" border="0" class="btn-img" title="Move down" onclick="fieldSort(<?php echo $val['id'] ?>,'down')" />
                                          <?php } ?></td>
                                      <td width="140">
                                          <span class="action_btn edit"><a href="./index.php?c=customerCustomField&m=edit&id=<?php echo $val['id'] ?>" title="Edit"></a></span>
                                          <span class="action_btn dele-0"><a href="javascript:void(0)" onclick="removeCustomField(<?php echo $val['id'] ?>)" title="<?php echo($lang['removed']); ?>"></a></span></td>
                                  </tr>
                                  <?php
                                  $i++;
                              }
                          }
                        ?>
                    </table>
                    <div class="clear"></div>
                </div>
                <div id="footer">
                    <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
    			<div id="onlinetimer"></div>
        </body>
</html>
