<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title><?php echo($lang['db_restore_title']); ?> - <?php echo($setting['software_name']); ?></title>
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/database.js"></script>
    </head>
    <body id="homepage">
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?></strong></li>
                <li title="<?php echo($lang['db_info']); ?>"><a href="./index.php?c=database"><?php echo($lang['db_title']); ?></a></li>
                <li> / </li>
                <li> <?php echo($lang['db_restore_title']); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">

                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" class="hoverimg" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="information">

                    <p id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></p>
                </div>
                <div> <?php echo($menu); ?> </div>
            </div>
            <div id="rightside">
                <div id="content_edit">
                    <div id="list_info">
                        <div class="quick_button"><a href="./index.php?c=database" class="btn-link"><span><?php echo($lang['db_button']); ?></span></a><a href="./index.php?c=database&m=restore" class="btn-link"><span><?php echo($lang['db_button_restore']); ?></span></a><a href="./index.php?c=database&m=remove" class="btn-link"><span><?php echo($lang['db_button_remove']); ?></span></a></div>
                    </div>
                    <div class="clear"></div>
                    <p></p>
                    <div id="select_file">
                        <form action="index.php?c=database&m=restoreDatabase" method="post" enctype="application/x-www-form-urlencoded" name="restoreDatabase" target="_self" id="restoreDatabase">
                            <table class="half"  id="tablehover">
                                <tbody>
                                    <tr>
                                        <th width="90"><?php echo($lang['db_select']); ?></th>
                                        <th><?php echo($lang['db_saved_filename']); ?></th>
                                        <th><?php echo($lang['db_backup_date']); ?></th>
                                    </tr>
                                    <?php
                                      if (count($file_list)) {
                                          foreach ($file_list as $file) {
                                              $file = basename($file);
                                              $ex_file = explode("_", $file);
                                              $file_name = $ex_file[1];
                                              $creat_time = gmdate('Y-m-d H:i:s', strtotime($ex_file[0]));
                                    ?>
                                              <tr>
                                                  <td align="center"><input type='radio' name='backup_file' value='<?php echo($file); ?>' /></td>
                                                  <td><?php echo($file_name); ?></td>
                                                  <td><?php echo($creat_time); ?></td>
                                              </tr>
                                    <?php
                                          }
                                      } else {
                                          echo('<div class="no_record">' . $lang['db_no_backuped_file'] . '</div>');
                                      }
                                    ?>
                                  </tbody>
                              </table>
                              <div id="make_sure">
                                  <p><?php echo($lang['db_take_care']); ?></p>
                                  <p><input type="checkbox" name="i_am_sure" id="i_am_sure" value="1" />
                                    <?php echo($lang['db_sure_restore']); ?></p>
                              </div>
                              <div class="bottom-options">
                                  <input name="submit_btn" type="submit" class=" btn btn_green big" id="submit_btn"   value="<?php echo($lang['db_button_restore']); ?>" />
                                  <input name="action" type="hidden" value="restoreDatabase" />
                              </div>
                          </form>
                      </div>
                  </div>
                  <div class="clear"></div>
                  <div id="footer">
                      <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
