<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang['tickets']); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" href="./media/css/jquery.jmodal.css" type="text/css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/js/jquery.jmodal.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/ticket.js"></script>
        
        <script type="text/javascript">
            $(document).ready(function(){
                $("#keyword").val('<?php echo($data["keyword"]); ?>');
                $("#department").val('<?php echo($data["dept_id"]); ?>');
                $("#assigned").val('<?php echo($data["assigned"]); ?>');
                $("#status").val('<?php echo($data["status"]); ?>');
                $("#date").val('<?php echo($data["date"]); ?>');
            })
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                    <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                    <li><a href="./index.php?c=ticket"><?php echo($lang['ticket_myticket_title']); ?></a></li>
                    <li>/</li>
                    <li><?php echo($lang['info']); ?></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile">                
                        <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                    <div class="clear"></div>
                    <div>
                        <?php echo($menu); ?>
                    </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <div>
                            <form action="index.php?c=ticket" method="get" name="SearchForm" id="SearchForm">
                                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                    <tr >
                                        <td width="240" nowrap="nowrap"><?php echo $lang['key_word']; ?>&nbsp;:
                                            <input type="text" name="data[keyword]" id="keyword" value="" class="ipt" /></td>
                                        <td width="80"><select name="data[dept_id]" id="department">
                                                <option value="" selected="selected"><?php echo($lang['department']); ?></option>
                                                <?php foreach ($department_list as $department) {
                                                      ?>
                                                      <option value="<?php echo $department['id'] ?>"><?php echo $department['name'] ?></option>
                                                  <?php } ?>
                                            </select></td>
                                        <td width="80"><select name="data[assigned]" id="assigned">
                                                <option value="" selected="selected"><?php echo($lang['assigned_to']); ?></option>
                                                <?php foreach ($user_list as $user) {
                                                      ?>
                                                      <option value="<?php echo($user["user_id"]); ?>"><?php echo($realname_list[$user["user_id"]]); ?></option>
                                                  <?php } ?>
                                            </select></td>
                                        <td width="80"><select name="data[status]" id="status">
                                                <option value=""  selected="selected"><?php echo($lang['status']); ?></option>
                                                <option value="2"><?php echo($lang['ticket_status'][2]); ?></option>
                                                <option value="3"><?php echo($lang['ticket_status'][3]); ?></option>
                                                <option value="4"><?php echo($lang['ticket_status'][4]); ?></option>
                                                <option value="5"><?php echo($lang['ticket_status'][5]); ?></option>
                                            </select></td>
                                        <td width="80"><select name="filter[priority]" id="priority">
                                                <option value="" selected="selected"><?php echo($lang['priority']); ?></option>
                                                  <option value="1"> <?php echo( $lang['priority_status'][1]); ?></option>
                                                  <option value="2"> <?php echo( $lang['priority_status'][2]); ?></option>
                                                  <option value="3"> <?php echo( $lang['priority_status'][3]); ?></option>
                                                  <option value="4"> <?php echo( $lang['priority_status'][4]); ?></option>
                                                  <option value="5"> <?php echo( $lang['priority_status'][5]); ?></option>
                                            </select></td>
                                        <td width="80"><select name="data[date]" id="date">
                                                <option value="" selected="selected"><?php echo($lang['any_time']); ?></option>
                                                <option value="1"><?php echo($lang['past_24_hours']); ?></option>
                                                <option value="7"><?php echo($lang['past_week']); ?></option>
                                                <option value="30"><?php echo($lang['past_month']); ?></option>
                                                <option value="365"><?php echo($lang['past_year']); ?></option>
                                            </select></td>
                                        <td><input name="input" id="search-btn" type="image" src="./media/images/search_btn.gif" />
                                            <input name="c" type="hidden" value="ticket" /></td>
                                        <td><div class="record_count"><?php echo($lang['result']); ?>: <span id="cur_number"><?php echo($total_rows); ?></span></div></td>
                                    </tr>
                                </table>
                            </form>
                        </div>
                        <?php
                          if (empty($ticket_list)) {
                              ?>
                              <div class='notice'><?php echo($lang['no_match_record']); ?></div>
                              <?php
                          } else {
                              ?>
                              <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tablehover">
                                  <tr>
                                      <th colspan="3"  width="100"><?php echo($lang['status']); ?></th>
                                      <th width="80"><?php echo($lang['ticket_id']); ?></th>
                                      <th><?php echo($lang['subject']); ?></th>
                                      <th><?php echo($lang['post_by']); ?></th>
                                      <th width="100"><?php echo($lang['assigned_to']); ?></th>
                                      <th width="140"><?php echo($lang['last_update']); ?></th>
                                      <th width="140"><?php echo $lang['actions']; ?></th>
                                  </tr>
                                  <?php foreach ($ticket_list as $ticket) {
                                      ?>

                                      <tr id="TR_<?php echo $ticket['id']; ?>">

                                          <td width="20" align="center"><img  src="./media/images/flag_<?php echo $ticket['priority'] ?>.png" alt="" width="16" height="16" title="<?php echo $lang['priority_status'][$ticket['priority']] ?>" /></td>
                                          <td width="20" align="center"><img src="./media/images/locked_<?php echo($ticket['locked']); ?>.png" alt="" height="16" align="baseline" title="<?php echo $lang['locked_status'][$ticket['locked']] ?>" /></td>
                                          <td width="60">
                                              <img src="./media/images/ticket_status_<?php echo $ticket['status'] ?>.png" alt="" height="16" title="<?php echo $lang['ticket_status'][$ticket['status']] ?>" />
                                          </td>
                                          <td><?php echo $ticket['id']; ?></td>
                                          <td>
                                              <a href='index.php?c=ticket&m=view&id=<?php echo($ticket['id']); ?>'><?php echo(stripcslashes($ticket['subject'])); ?></a>
                                          </td>
                                          <td><?php echo $ticket['first_name'] ?></td>
                                          <td nowrap="nowrap"><?php echo($realname_list[$ticket["user_id"]]); ?></td>
                                          <td nowrap="nowrap"><?php echo ($ticket['update_date']) ?></td>
                                          <td>
                                              <span class="action_btn info"><a href="index.php?c=ticket&m=view&id=<?php echo($ticket['id']); ?>" title="<?php echo $lang['Information']; ?>"></a></span>
                                              <span class="action_btn dele-0"><a href="javascript:void(0)" onclick="changeRemoved(<?php echo $ticket['id'] ?>,<?php echo $ticket['removed'] ?>)" title="<?php echo($lang['action_remove_ticket'][$ticket['removed']]); ?>"></a></span>
                                          </td>
                                      </tr>
                                  <?php } ?>

                              </table>
                  <div id="page-list"><?php echo($page_link) ?></div>

                          <?php } ?>
                        <div class="clear"></div>
                    </div>
                    <div id="footer">
                        <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
            <div id="notification-box">
                <div id="notification"></div>
            </div>
        			<div id="onlinetimer"></div>
        </body>
</html>
