<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Edit Reply - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" charset="utf-8" src="./media/editor/kindeditor-min.js"></script>
        <script type="text/javascript" src="./media/editor/editor-config.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/ticketReply.js"></script>
        <script type="text/javascript" src="./media/js/attachment.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                    <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                    <li><a href="./index.php?c=ticket"><?php echo($lang['ticket_myticket_title']); ?></a> / <a href="./index.php?c=ticket&m=view&id=<?php echo $id; ?>"><?php echo($lang['info']); ?></a> / <?php echo($lang['edit_ticket']); ?></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile">                
                        <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                    <div class="clear"></div>

                    <div>
                        <?php echo($menu); ?>
                    </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <form action="index.php?c=ticketReply&m=update" method="post" enctype="multipart/form-data" name="updateReply" id="updateReply">
                            <p><textarea name="message" cols="80" rows="20" class="full" id="editor_message"><?php echo($reply['message']) ?></textarea></p>
                            <?php
                              if (count($attachment)) {
                                  ?>
                                  <label><?php echo($lang['upoaded_attachments']); ?>: </label>
                                  <table border="0" cellspacing="0" cellpadding="0">
                                      <?php
                                      foreach ($attachment as $k => $v) {
                                          ?>
                                          <tr id="attch_<?php echo $v['rand_key'] ?>">
                                              <td width="16"><img src="./media/images/clip.png" alt="" width="16" height="16" /></td>
                                              <td><a href="index.php?c=download&model=ticket_reply&id=<?php echo($v['id']); ?>&key=<?php echo($v['rand_key']); ?>"><?php echo($v['real_name']); ?></a>(<?php echo $v['file_size'] ?>)</td>
                                              <td width="20" class="action_btn dele-0"><a href="javascript:void(0)" onclick="removeAttachment('<?php echo($v['id']) ?>','<?php echo $v['rand_key'] ?>')" title="<?php echo($lang['removed']); ?>"></a></td>
                                          </tr>
                                      <?php } ?>
                                  </table>
                                  <div id="notice_<?php echo($v['id']) ?>"></div>
                              <?php } ?>
                            <label><?php echo($lang['reupload_attachment']); ?>: </label>
                            <!-- attach -->
                            <?php
                              if ($setting['ticket_attach_on'] == 1) {
                                  for ($i = 0; $i < $setting['ticket_attach_number']; $i++) {
                                      ?>
                                      <p><input type="file" size="40" name="attachment[]" /></p>

                                  <?php } ?>
                                  <p><?php echo($lang['maximum_file_size']); ?>: <?php echo $setting['ticket_attach_size'] . " Kb (" . round($setting['ticket_attach_size'] / 1024, 2) . " Mb)" ?></p>
                              <?php } ?>
                            <p>&nbsp;</p>
                            <p>
                                <input type="submit" class="btn big btn-blue"  value="<?php echo($lang['submit_reply']); ?>"  name=""/>
                                <input type="button" class="btn big btn-green" value="<?php echo($lang['go_back']); ?>" onclick="javascript:history.back()" name="" />
                                <input type="hidden" name="id" value="<?php echo $reply['id'] ?>" />
                                <input type="hidden" name="ticket_id" id="ticket_id" value="<?php echo $reply['ticket_id'] ?>" />
                            </p>
                        </form>
                    </div>
                    <div id="footer">
                        <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
            <div id="notification-box">
                <div id="notification"></div>
            </div>
        			<div id="onlinetimer"></div>
        </body>
</html>
