<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Respond Template - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" charset="utf-8" src="./media/editor/kindeditor-min.js"></script>
        <script type="text/javascript" src="./media/editor/editor-config.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/respondTemplate.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                <li><a href="./index.php?c=respondTemplate"><?php echo $lang['tool_response_title']; ?></a> / <?php echo $lang['email_template']; ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>

                <div>
                    <?php echo($menu); ?>
                </div>
            </div>
            <div id="rightside">
                <div id="content">
                    <div class="sub-title-s"><?php echo $lang['modify_email_template']; ?></div>
                    <form action="./index.php?c=respondTemplate&m=update" method="post" id="editTemplate"  enctype="multipart/form-data" name="editTemplate" >
                        <label>
                            <?php echo $lang['email_template_subject']; ?>:
                        </label>
                        <p>
                            <input name="data[subject]" type="text" class="form-input" id="subject" value="<?php echo $template['subject'] ?>" size="80" maxlength="255" />
                        </p>
                        <label>
                            <?php echo $lang['email_template_content']; ?>:
                        </label>
                        <p>
                            <textarea cols="80" class="half" rows="20" name="data[content]"  id="editor_message" ><?php echo(stripslashes($template['content'])) ?></textarea>
                        </p>
                        <p>Defined Tags:                            
                            <span class="tags" onclick="appenContent('%SUBJECT%')">%SUBJECT%</span>
                            <span class="tags" onclick="appenContent('%TONAME%')">%TONAME%</span>
                            <span class="tags"  onclick="appenContent('%FROMNAME%')">%FROMNAME%</span>
                            <span class="tags"  onclick="appenContent('%TICKETID%')">%TICKETID%</span>
                            <span class="tags"  onclick="appenContent('%TICKETKEY%')">%TICKETKEY%</span>
                            <span class="tags"  onclick="appenContent('%MESSAGE%')">%MESSAGE%</span>
                            <span class="tags"  onclick="appenContent('%VIEWURL%')">%VIEWURL%</span>
                            <span class="tags"  onclick="appenContent('%SIGNATURE%')">%SIGNATURE%</span>
                            <span class="tags"  onclick="appenContent('%DATETIME%')">%DATETIME%</span>
                        </p>
                        <div class="bottom-options">
                            <input name="saveBtn" type="submit" class="btn big btn-blue" id="saveBtn" value="Save Now" />
                            <input name="id" type="hidden" id="id" value="<?php echo $template['id'] ?>" />
                        </div>
                    </form>
                </div>
                <div id="footer">
                    <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>			<div id="onlinetimer"></div>
        </body>
</html>
